Skip to main content
Resource Center/Hardware/Primary Storage Operations/Shared Block Primary Storage Operations
GETShared Block Primary Storage OperationsSince 2.3.2SynchronousAuth Required

QuerySharedBlockGroupPrimaryStorage

QuerySharedBlockGroupPrimaryStorage

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • zoneUuidStringRequired

      The zone UUID.

    • nameStringRequired

      The resource name.

    • urlStringRequired

      The reserved field.

    • descriptionStringRequired

      The detailed description of the resource.

    • totalCapacityLongRequired

      The total capacity.

    • availableCapacityLongRequired

      The available capacity.

    • totalPhysicalCapacityLongRequired

      The total physical capacity.

    • availablePhysicalCapacityLongRequired

      The available physical capacity.

    • systemUsedCapacityLongRequired

      The system used capacity.

    • typeStringRequired

      The type of the primary storage.

      • nameStringRequired

        The resource name.

      • ordinalintRequired

        No description provided.

    • stateStringRequired

      The state.

      • nameStringRequired

        The resource name.

      • ordinalintRequired

        No description provided.

    • statusStringRequired

      The status.

      • nameStringRequired

        The resource name.

      • ordinalintRequired

        No description provided.

    • mountPathStringRequired

      The reserved field.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • attachedClusterUuidsListRequired

      The attached cluster UUID list.

    • sharedBlocksListRequired

      See sharedBlocks.

      • uuidStringRequired

        The resource UUID.

      • sharedBlockGroupUuidStringRequired

        The LUN group UUID.

      • diskUuidStringRequired

        The unique identifier of the disk. For example, UUID, WWN, and WWID.

      • nameStringRequired

        The resource name.

      • descriptionStringRequired

        The detailed description of the resource.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

      • typeSharedBlockTypeRequired

        See type.

        • nameStringRequired

          The resource name.

        • ordinalintRequired

          No description provided.

      • stateSharedBlockStateRequired

        See state.

        • nameStringRequired

          The resource name.

        • ordinalintRequired

          No description provided.

      • statusSharedBlockStatusRequired

        See status.

        • nameStringRequired

          The resource name.

        • ordinalintRequired

          No description provided.

    • sharedBlockGroupTypeSharedBlockGroupTypeRequired

      See sharedBlockGroupType.

      • nameStringRequired

        The resource name.

      • ordinalintRequired

        No description provided.

Endpoint

GET/zstack/v1/primary-storage/sharedblockgroup

/zstack/v1/primary-storage/sharedblockgroup

Operation ID

QuerySharedBlockGroupPrimaryStorage

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/primary-storage/sharedblockgroup' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "sharedBlocks": [ { "uuid": "2bf68818dc2c3ffbb9c9f283c8a1f524", "sharedBlockGroupUuid": "23ef265b88143074b88ad450afe5cbac", "type": "LvmLogicalVolumeBasic", "diskUuid": "b4d9459d02533fdeb4dee8b8bf943bed", "name": "test shared block", "description": "description", "state": "Enabled", "status": "Connected", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ], "sharedBlockGroupType": "LvmVolumeGroupBasic", "uuid": "23ef265b88143074b88ad450afe5cbac", "name": "shared block group primary storage", "description": "shared block group primary storage description", "availableCapacity": 1.073741824E9, "availablePhysicalCapacity": 1.073741824E9, "type": "SharedBlock", "state": "Enabled", "status": "Connected", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] }

Change History

This API has no change history records yet.

View all change history